package org.gcube.socialnetworking.socialtoken;

import org.gcube.portal.databook.client.GCubeSocialNetworking;
import org.gcube.socialnetworking.tokenization.Token;

public class TagToken extends ReplaceableToken {

	public TagToken(String token, String delimiter, int start, int end) {
		super(token, delimiter, start, end);
	}
	
	public TagToken(Token token) {
		super(token);
	}
	
	public String getTokenReplacement() {
		if(!replaced) {
			String linkTarget = ReplaceableToken.createHref("", GCubeSocialNetworking.HASHTAG_OID, super.token);
			tokenReplacement = ReplaceableToken.createLink(linkTarget, token, null);
			replaced = true;
		}
		return tokenReplacement;
	}
	
}
